# Uses of Class
com.ocient.jdbc.XGResultSet

Packages that use XGResultSet
Package
Description
com.ocient.jdbc

## Uses of XGResultSet in com.ocient.jdbc

Fields in com.ocient.jdbc declared as XGResultSet
Modifier and Type
Field
Description
`protected XGResultSet`
XGStatement.`result`
`protected XGResultSet`
XGConnection.`rs`
Methods in com.ocient.jdbc that return types with arguments of type XGResultSet
Modifier and Type
Method
Description
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties, XGStatement.EventMonitor eventMonitor)`
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSetMetadata(XGConnection conn, int fetchSize, XGStatement stmt, ClientWireProtocol.ResultSet data, XGResultSet.Option... options)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
Methods in com.ocient.jdbc with parameters of type XGResultSet
Modifier and Type
Method
Description
`void`
StructuredQueryMetrics.`associateResults(XGResultSet res)`
`protected void`
XGStatement.`logQueryWithResults(XGResultSet result)`